Summary: netsec - a simple firewall frontend for iptables
Name: netsec
Version: 2.90.6
Release: 1%{?dist}
License: GPLv2
Group: Applications/Network
# URL: n/a
Source0: %{name}-%{version}.tar.gz
BuildArchitectures: noarch
Requires: iptables

%if 0%{?rhel}
%if 0%{?rhel} < 7
%define with_sysVinit 1
%else
%define with_systemd 1
%endif
%endif

%if 0%{?fedora}
%if 0%{?fedora} < 15
%define with_sysVinit 1
%else
%define with_systemd 1
%endif
%endif

%if 0%{?with_sysVinit}
Requires(pre):          /sbin/chkconfig
Requires(postun):       /sbin/service
%endif
%if 0%{?with_systemd}
BuildRequires: systemd-units
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
%endif

%description
netsec is a simple frontend for iptables

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_sysconfdir}/%{name},%{_sbindir},%{_libexecdir},%{_var}/cache/%{name}}
%{?with_sysVinit:mkdir -p $RPM_BUILD_ROOT/%{_initddir}}
%{?with_systemd:mkdir -p $RPM_BUILD_ROOT/%{_unitdir}}
cp -a sbin/* $RPM_BUILD_ROOT/%{_sbindir}
cp -a libexec/* $RPM_BUILD_ROOT/%{_libexecdir}/.
cp -a config/* $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/.
%{?with_sysVinit:cp -a sysVinit/* $RPM_BUILD_ROOT/%{_initddir}/.}
%{?with_systemd:cp -a systemd/*.service $RPM_BUILD_ROOT/%{_unitdir}/.}

%if 0%{?with_sysVinit}
%post
/sbin/chkconfig --add netsec

%preun
if [ $1 -eq 0 ]; then
        /sbin/chkconfig --del netsec
fi

%postun
if [ $1 -ge 1 ]; then
        /sbin/service netsec start &> /dev/null || :
fi
%endif

%if 0%{?with_systemd}
%post
%systemd_post netsec.service

%preun
%systemd_preun netsec.service

%postun
%systemd_postun_with_restart netsec.service 
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sbindir}/%{name}
%{_libexecdir}/%{name}-apply-config
%{_var}/cache/%{name}
%{?with_sysVinit:%{_initddir}/%{name}}
%{?with_systemd:%{_unitdir}/%{name}.service}
%config(noreplace) %{_sysconfdir}/%{name}
%doc doc/*

